GNU bug report logs - #35709
ungoogled-chromium fails to install crx extensions

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia <swedebugia@HIDDEN>; dated Mon, 13 May 2019 08:17:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 35709 <at> debbugs.gnu.org:


Received: (at 35709) by debbugs.gnu.org; 27 Jun 2019 22:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 27 18:55:06 2019
Received: from localhost ([127.0.0.1]:40019 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hgdIH-0001vp-Rj
	for submit <at> debbugs.gnu.org; Thu, 27 Jun 2019 18:55:06 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:45331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <a@HIDDEN>) id 1hgdIG-0001vF-8g
 for 35709 <at> debbugs.gnu.org; Thu, 27 Jun 2019 18:55:05 -0400
Received: from compute6.internal (compute6.nyi.internal [10.202.2.46])
 by mailout.nyi.internal (Postfix) with ESMTP id CDBE721EBC;
 Thu, 27 Jun 2019 18:54:58 -0400 (EDT)
Received: from imap6 ([10.202.2.56])
 by compute6.internal (MEProxy); Thu, 27 Jun 2019 18:54:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ajgrf.com; h=
 mime-version:message-id:in-reply-to:references:date:from:to:cc
 :subject:content-type; s=fm3; bh=M3K4V+WkBcl7SOZCReG82ySMYByVJkq
 FzO9behr4z0c=; b=u7ms6jMFEJdjXUEg+IYhqkybkTGiiqL7s8TQIYICcoSIQhO
 9aDUDC1ukNejGjXGuyvuVNQplIeNO2Qa/u98PeUIxxe3BHYFcULjFJBkCGEN/5n2
 TowRJ5+St3bDP5AQty0FvF2rnIn2sQuvXCtvZFIX+AzSGbB3WjeEY/KHsURSeLDG
 Z9ouwHkuFH7KORChHtm3a8lEiM9gSi/R6JisH02ZVD2GzJ7bciAprLjERHMzfEH1
 07NTsZd1NEab7H57Nr6rlxKwMTTb6QLKXJ1+iWcIrsVwh/0MD14nRQ4BOp4dlXtj
 g4Zb7tz0XCU5du3D/kvE/JepHC4gcHyb0O3dHwQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=M3K4V+
 WkBcl7SOZCReG82ySMYByVJkqFzO9behr4z0c=; b=Fs1o6POBGLPUJxayM0e1V8
 eC4Wsiuy8uQ2H1Pvs2/LysO/QMBx9K/r4pQXDrkD7BN2TcqFUYoSuFzZHqKSnJ8U
 lEWZ4HZlh/jpA01BjxpU8kDYYGlJ6lD2aEl0XZcOF3KT8ezK+hpDq8m9C48sVHwd
 FR2uy1EzxvlOfQKVdDRT/ROXE4fOKssU0VzYEy8xlQ5OwORr9JEd/jJnoMCgdei7
 EWhysngT4Xhs/7mrRt62KC/pBK9CFZl+GdEanXlxCJCudKYn7LuKu76dZFFA4zZo
 CFle3BoybjsQ+ah5Lv9MhJf0Fo0gxr+waQHGsuq6x0mdNxcxAv4xN+gojmY4RrNQ
 ==
X-ME-Sender: <xms:QkkVXYTF87jXMxURUUOTL1EQnTDJVxERkTeu87zLHf9oUHxJEvfOcA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrudelgdduhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkjghffffhvffutgesthdtre
 dtreerjeenucfhrhhomhepfdetlhgvgicuifhrihhffhhinhdfuceorgesrghjghhrfhdr
 tghomheqnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfrrghrrghmpehmrghilh
 hfrhhomheprgesrghjghhrfhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:QkkVXSGemhI-Pn1tH6rPs8I1DIMugx7lw2f57FEBBXQSXAavOb8AUQ>
 <xmx:QkkVXYkDUklmq1_29gxlSV6Y6MVhdr9e-Lt_p3TLICnFDdmw19dUdw>
 <xmx:QkkVXd02-M9YMLk2PQ3_7JVXrgmCyCB5FEi_LFElBjVUQY5Og2lUHg>
 <xmx:QkkVXbGykUAqG9V_SI7qDkVjuyI2F7a3honzsU96xpapFAkJztHCEg>
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id 3D47B1400A1; Thu, 27 Jun 2019 18:54:58 -0400 (EDT)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.1.6-731-g19d3b16-fmstable-20190627v1
Mime-Version: 1.0
Message-Id: <3d3c0680-fa7e-41fa-ae32-0b0b721dfa10@HIDDEN>
In-Reply-To: <d2749bcb-c605-0c5c-db55-a838b7a5aadc@HIDDEN>
References: <877e97vws8.fsf@HIDDEN>
 <add426df-19b5-441b-b779-3c7ecffca08d@HIDDEN>
 <d2749bcb-c605-0c5c-db55-a838b7a5aadc@HIDDEN>
Date: Thu, 27 Jun 2019 22:54:50 +0000
From: "Alex Griffin" <a@HIDDEN>
To: 35709 <at> debbugs.gnu.org
Subject: =?UTF-8?Q?Re:_Guix_beyond_1.0:_let=E2=80=99s_have_a_roadmap!?=
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35709
Cc: swedebugia <swedebugia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Jun 27, 2019, at 10:34 PM, swedebugia wrote:
> > *** TODO package important Icecat and Ungoogled-Chromium extensions. This is a pain point because IceCat steers users away from Firefox Add-ons and Ungoogled-Chromium completely disallows installing from Chrome Web Store.
> 
> Actually currently our Chrome does not support add-ons at all. See bug 
> #35709

I noticed I can use add-ons by installing or updating them with Debian's Chromium and then opening my profile with ungoogled-chromium from Guix. I'd also be surprised if this method of running unpacked extensions didn't work, although I haven't tried it yet: https://github.com/gorhill/uBlock/tree/master/dist#chromium

-- 
Alex Griffin




Information forwarded to bug-guix@HIDDEN:
bug#35709; Package guix. Full text available.

Message received at 35709 <at> debbugs.gnu.org:


Received: (at 35709) by debbugs.gnu.org; 18 May 2019 11:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 18 07:58:13 2019
Received: from localhost ([127.0.0.1]:60093 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hRxyf-000422-8T
	for submit <at> debbugs.gnu.org; Sat, 18 May 2019 07:58:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46835)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hRxyd-00041p-Je
 for 35709 <at> debbugs.gnu.org; Sat, 18 May 2019 07:58:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45813)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hRxyX-0003AA-LK; Sat, 18 May 2019 07:58:06 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=33908 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hRxyX-0001hs-1x; Sat, 18 May 2019 07:58:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#35709: ungoogled-chromium fails to install crx extensions
References: <b51fb06d-7f44-04c9-5c64-d1f5f1e74a16@HIDDEN>
Date: Sat, 18 May 2019 13:58:03 +0200
In-Reply-To: <b51fb06d-7f44-04c9-5c64-d1f5f1e74a16@HIDDEN>
 (swedebugia@HIDDEN's message of "Mon, 13 May 2019 10:16:57 +0200")
Message-ID: <8736lcvut0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35709
Cc: Marius Bakke <mbakke@HIDDEN>, 35709 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

swedebugia <swedebugia@HIDDEN> skribis:

> installed ungoogled-chromium 74.0.3729.131-0.9e33022
>
> downloaded a crx via https://crxextractor.com/
> https://chrome.google.com/webstore/detail/pawhash/adgekjfphhgngpdoklolpje=
nmgneobfg
> (Apache 2 licensed)
>
> When dropped into the "extensions"-tab I get an error:
> "Package is invalid: CRX_HEADER_INVALID"
>
> same with
> https://chrome.google.com/webstore/detail/ublock-origin/cjpalhdlnbpafiame=
jdnhcphjbkeiagm
> (gpl-3)

Marius, does that ring a bell?  :-)

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#35709; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 May 2019 08:16:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 13 04:16:20 2019
Received: from localhost ([127.0.0.1]:44005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hQ68B-0004cp-SJ
	for submit <at> debbugs.gnu.org; Mon, 13 May 2019 04:16:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1hQ689-0004cX-N3
 for submit <at> debbugs.gnu.org; Mon, 13 May 2019 04:16:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:46990)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hQ684-0006a2-FE
 for submit <at> debbugs.gnu.org; Mon, 13 May 2019 04:16:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53621)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hQ683-0003Dn-4l
 for bug-guix@HIDDEN; Mon, 13 May 2019 04:16:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1hQ665-0005iN-GH
 for bug-guix@HIDDEN; Mon, 13 May 2019 04:14:10 -0400
Received: from mx1.riseup.net ([198.252.153.129]:57366)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1hQ665-0005i7-4T
 for bug-guix@HIDDEN; Mon, 13 May 2019 04:14:09 -0400
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 9B4E71A260D
 for <bug-guix@HIDDEN>; Mon, 13 May 2019 01:14:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1557735247; bh=GR0lM/VrdHf46d3ZWQ9w9zpKVIbkI3POG6Sn5M6H3Ig=;
 h=To:From:Subject:Date:From;
 b=pCc1fayTQkON82CVsJ+3EZiuSZ/dYZ6uCF5elMM5x79GQS6/amunrvQp6gEkxNa2n
 LpGfT9hSNG+CtIFWeHIjEWruGoT83uRJVg3K+rbHM3ixNfhyJP0UCTX33r3KfIpTxF
 5mDD3ZASgN7GToUpKSq+O8hK7cs44gkgVJ5h2HLg=
X-Riseup-User-ID: 82AC9B68E84A0AEF47F2EC5BFBEAA0A89A6AF0F6BAE58474716E31CC87931C8B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id D73DD120502
 for <bug-guix@HIDDEN>; Mon, 13 May 2019 01:14:06 -0700 (PDT)
To: Report new Guix bug <bug-guix@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Subject: ungoogled-chromium fails to install crx extensions
Message-ID: <b51fb06d-7f44-04c9-5c64-d1f5f1e74a16@HIDDEN>
Date: Mon, 13 May 2019 10:16:57 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi

$ guix describe
Generation 2	May 11 2019 18:46:50	(current)
   guix c087a90
     repository URL: https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: c087a90e06d7b9451f802323e24deb1862a21e0f

installed ungoogled-chromium 74.0.3729.131-0.9e33022

downloaded a crx via https://crxextractor.com/
https://chrome.google.com/webstore/detail/pawhash/adgekjfphhgngpdoklolpjenmgneobfg
(Apache 2 licensed)

When dropped into the "extensions"-tab I get an error:
"Package is invalid: CRX_HEADER_INVALID"

same with 
https://chrome.google.com/webstore/detail/ublock-origin/cjpalhdlnbpafiamejdnhcphjbkeiagm 
(gpl-3)

It does not matter whether I enable the "developer-mode"

These work fine on Inox (Chromium 67.0.3396.87 from AUR) on parabola
-- 
Cheers Swedebugia




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35709; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 27 Jun 2019 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.